Ext.define('TradePortal.store.CustomerDetails', {
	extend : 'Ext.data.Store',
	model : 'TradePortal.model.CustomerDetails',
	storeId : 'CustomerDetails',
	proxy : {
		type : 'jsonajax',
		url: BASE_URL  + '/fluid/FluidAppServerProxy?ipApi=presenter&ipService=Frameworks.Interfaces.Mobile.TradePortal&ipFunction=getCustomerDetails',
		reader : {
			type : 'json',
			root : 'dataset.getCustomerDetails'
		}
	},
	listeners : {
		load : {
			fn : function(store, records, options) {
				Ext.getCmp('viewport').setLoading(false);
			}
		}
	}
});
